#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,200,280,560,1160,1720,1840,1880,1920,1960,2000,2320
 * N : 25,120,200,280,560,1160,1720,1840,1880,1920,1960,2000,2320
 * NB : 2,8,8,40,40,48,40,40,40,80,80,160,160
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 2; \
   else if ((n_) < 240) (nb_) = 8; \
   else if ((n_) < 860) (nb_) = 40; \
   else if ((n_) < 1440) (nb_) = 48; \
   else if ((n_) < 1900) (nb_) = 40; \
   else if ((n_) < 1980) (nb_) = 80; \
   else (nb_) = 160; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
